declare type SharedProps = {
    displayFormat?: string | undefined;
    pickerAppearance?: 'dayAndTime' | 'timeOnly' | 'dayOnly';
};
declare type TimePickerProps = {
    minTime?: Date;
    maxTime?: Date;
    timeIntervals?: number;
    timeFormat?: string;
};
declare type DayPickerProps = {
    monthsToShow?: 1 | 2;
    minDate?: Date;
    maxDate?: Date;
};
export declare type ConditionalDateProps = SharedProps & DayPickerProps & TimePickerProps & {
    pickerAppearance?: 'dayAndTime';
} | SharedProps & TimePickerProps & {
    pickerAppearance: 'timeOnly';
} | SharedProps & DayPickerProps & {
    pickerAppearance: 'dayOnly';
};
export declare type Props = SharedProps & DayPickerProps & TimePickerProps & {
    value?: Date;
    onChange?: (val: Date) => void;
    readOnly?: boolean;
    placeholder?: string;
};
export {};
