import React from 'react';
import './index.scss';
const baseClass = 'popup-button';
const PopupButton = (props) => {
    const { buttonType, button, setActive, active, onToggleOpen, } = props;
    const classes = [
        baseClass,
        `${baseClass}--${buttonType}`,
    ].filter(Boolean).join(' ');
    const handleClick = () => {
        if (typeof onToggleOpen === 'function')
            onToggleOpen(!active);
        setActive(!active);
    };
    if (buttonType === 'custom') {
        return (React.createElement("div", { role: "button", tabIndex: 0, onKeyDown: (e) => { if (e.key === 'Enter')
                handleClick(); }, onClick: handleClick, className: classes }, button));
    }
    return (React.createElement("button", { type: "button", onClick: () => setActive(!active), className: classes }, button));
};
export default PopupButton;
