import React from 'react';
import { useAuth } from '@payloadcms/config-provider';
import Button from '../Button';
import { useLocale } from '../../utilities/Locale';
const baseClass = 'preview-btn';
const PreviewButton = ({ generatePreviewURL, data }) => {
    const locale = useLocale();
    const { token } = useAuth();
    if (generatePreviewURL && typeof generatePreviewURL === 'function') {
        const url = generatePreviewURL(data, { locale, token });
        return (React.createElement(Button, { el: "anchor", className: baseClass, buttonStyle: "secondary", url: url, newTab: true }, "Preview"));
    }
    return null;
};
export default PreviewButton;
