import React, { Fragment } from 'react';
import useTitle from '../../../hooks/useTitle';
import './index.scss';
const baseClass = 'render-title';
const RenderTitle = (props) => {
    const { useAsTitle, title: titleFromProps, data, fallback = '[untitled]', } = props;
    const titleFromForm = useTitle(useAsTitle);
    const titleFromData = data && data[useAsTitle];
    let title = titleFromData;
    if (!title)
        title = titleFromForm;
    if (!title)
        title = data === null || data === void 0 ? void 0 : data.id;
    if (!title)
        title = fallback;
    title = titleFromProps || title;
    const idAsTitle = title === (data === null || data === void 0 ? void 0 : data.id);
    const classes = [
        baseClass,
        idAsTitle && `${baseClass}--id-as-title`,
    ].filter(Boolean).join(' ');
    return (React.createElement("span", { className: classes },
        idAsTitle && (React.createElement(Fragment, null, "ID:\u00A0\u00A0")),
        title));
};
export default RenderTitle;
