import React, { useState, useEffect } from 'react';
import Chevron from '../../icons/Chevron';
import Button from '../Button';
import './index.scss';
const baseClass = 'sort-column';
const SortColumn = (props) => {
    const { label, handleChange, name, disable = false, } = props;
    const [sort, setSort] = useState(null);
    useEffect(() => {
        handleChange(sort);
    }, [sort, handleChange]);
    const desc = `-${name}`;
    const asc = name;
    const ascClasses = [`${baseClass}__asc`];
    if (sort === asc)
        ascClasses.push(`${baseClass}--active`);
    const descClasses = [`${baseClass}__desc`];
    if (sort === desc)
        descClasses.push(`${baseClass}--active`);
    return (React.createElement("div", { className: baseClass },
        React.createElement("span", { className: `${baseClass}__label` }, label),
        !disable && (React.createElement("span", { className: `${baseClass}__buttons` },
            React.createElement(Button, { round: true, buttonStyle: "none", className: ascClasses.join(' '), onClick: () => setSort(asc) },
                React.createElement(Chevron, null)),
            React.createElement(Button, { round: true, buttonStyle: "none", className: descClasses.join(' '), onClick: () => setSort(desc) },
                React.createElement(Chevron, null))))));
};
export default SortColumn;
