import React, { useEffect } from 'react';
import useFieldType from '../../useFieldType';
import withCondition from '../../withCondition';
const HiddenInput = (props) => {
    const { name, path: pathFromProps, value: valueFromProps, modifyForm = true, } = props;
    const path = pathFromProps || name;
    const { value, setValue } = useFieldType({
        path,
    });
    useEffect(() => {
        if (valueFromProps !== undefined) {
            setValue(valueFromProps, modifyForm);
        }
    }, [valueFromProps, setValue, modifyForm]);
    return (React.createElement("input", { type: "hidden", value: value || '', onChange: setValue, name: path }));
};
export default withCondition(HiddenInput);
