import React from 'react';
import RenderFields from '../../RenderFields';
import withCondition from '../../withCondition';
import './index.scss';
const Row = (props) => {
    const { fields, fieldTypes, path, permissions, admin: { readOnly, }, } = props;
    return (React.createElement(RenderFields, { readOnly: readOnly, className: "field-type row", permissions: permissions === null || permissions === void 0 ? void 0 : permissions.fields, fieldTypes: fieldTypes, fieldSchema: fields.map((field) => ({
            ...field,
            path: `${path ? `${path}.` : ''}${field.name}`,
        })) }));
};
export default withCondition(Row);
