import React, { createContext, useContext, } from 'react';
const Context = createContext({});
export const DocumentInfoProvider = (props) => {
    const { children, type, slug } = props;
    if (type === 'global') {
        return (React.createElement(Context.Provider, { value: {
                type,
                slug: props.slug,
                preferencesKey: `global-${slug}`,
            } }, children));
    }
    if (type === 'collection') {
        const { id } = props;
        const value = {
            type,
            slug,
        };
        if (id) {
            value.id = id;
            value.preferencesKey = `collection-${slug}-${id}`;
        }
        return (React.createElement(Context.Provider, { value: value }, children));
    }
    return null;
};
export const useDocumentInfo = () => useContext(Context);
export default Context;
