import { useConfig } from '@payloadcms/config-provider';
import isImage from '../../uploads/isImage';
const absoluteURLPattern = new RegExp('^(?:[a-z]+:)?//', 'i');
const useThumbnail = (collection, doc) => {
    var _a;
    const { upload: { staticURL, adminThumbnail, }, } = collection;
    const { mimeType, sizes, filename, } = doc;
    const { serverURL } = useConfig();
    if (isImage(mimeType)) {
        if (typeof adminThumbnail === 'function') {
            const thumbnailURL = adminThumbnail({ doc });
            if (absoluteURLPattern.test(thumbnailURL)) {
                return thumbnailURL;
            }
            return `${serverURL}${thumbnailURL}`;
        }
        if ((_a = sizes === null || sizes === void 0 ? void 0 : sizes[adminThumbnail]) === null || _a === void 0 ? void 0 : _a.filename) {
            return `${serverURL}${staticURL}/${sizes[adminThumbnail].filename}`;
        }
        return `${serverURL}${staticURL}/${filename}`;
    }
    return false;
};
export default useThumbnail;
