import { Request } from 'express';
import { User } from '../auth';
export declare type Preference = {
    user: string;
    userCollection: string;
    key: string;
    value: {
        [key: string]: unknown;
    } | unknown;
    createdAt?: Date;
    updatedAt?: Date;
};
export declare type PreferenceRequest = {
    overrideAccess?: boolean;
    req: Request;
    user: User;
    key: string;
};
export declare type PreferenceUpdateRequest = PreferenceRequest & {
    value: undefined;
};
export declare type CollapsedPreferences = string[];
export declare type FieldsPreferences = {
    [key: string]: {
        collapsed: CollapsedPreferences;
    };
};
export declare type DocumentPreferences = {
    fields: FieldsPreferences;
};
