**Payload License Agreement**

v.202102281830

Updated: February 28, 2021

Payload is a modern, extensible CMS built with application developers in mind. Payload is free to download and install—and free to use for Personal Purposes. We are passionate about Payload, and we hope that you will enjoy it, too. A valid license is required to utilize Payload as detailed below in Section 5(b).

To ensure a mutual and full understanding of your and our respective rights and responsibilities, please read this entire Payload License Agreement (this "Agreement"). This Agreement is between you and Payload LLC, a registered Michigan limited liability company ("we" or "us"). You and we are sometimes referred to collectively as the "Parties" or individually as a "Party" to simply drafting when our rights and responsibilities are the same. This Agreement is effective as of the date and time you first download, copy, install, access, or otherwise make use of Payload (the "Effective Date"); by doing so, you agree to be bound by the terms and conditions of this Agreement.

1. **Definitions**

"API" means application programming interface.

"Affiliate" means, in reference to a Person, any other Person that directly, or indirectly through one or more intermediaries, controls, is controlled by, or is under common control with, such Person. The term "control" (including the terms "controlled by" and "under common control with") means the power to direct or cause the direction of the management and policies of a Person, whether by voting interest, contract, or otherwise.

"CMS" means content-management system.

"Contribution" means any work of authorship, including the original version of the work, any modifications or additions thereto, and any derivative works thereof, that you submit to us for inclusion into Payload. For purposes of this definition, the word "submit" means to communicate in any form (electronically, verbally, in writing, or otherwise) to us or our representatives, including by, on, or using electronic mailing lists, source-code control systems, or issue-tracking systems that are managed by us, or on our behalf, for the purpose of discussing and improving Payload. For purposes of this definition, the term "work of authorship" includes Software and Documentation.

"Documentation" means instruction, explanation, or guidance describing or relating to Software, whether in human- or machine-readable form, including: guidance relating to the operation, installation, administration, or use of Software; technical requirements or specifications; file or record layouts or fields; schematics; flow charts; algorithms; architectural diagrams; data models; build instructions; compilation instructions; testing or configuration instructions; developer annotations; information regarding the design or configuration of hardware, operating environment, or network infrastructure; and all other similar types of information relating to the creation, design, development, installation, implementation, execution, structure, function, performance, correction, modification, improvement, or use of Software or its operating environment.

"Entity" means a corporation, partnership, joint venture, limited-liability company, governmental authority or agency, unincorporated organization, trust, or other legally-recognized association of two or more individuals and/or Entities.

"Go-Live Date" means, in relation to a Production Instance, the date on which the instance, or any portion thereof, is first executed.

"Intellectual Property Rights" means all rights in and to US or foreign (a) copyrights or works of authorship (whether copyrightable or not), including computer programs and rights in and to data and databases, (b) trademarks, service marks, trade dress, trade names, logos, corporate names, or domain names, or other similar designations of source or origin, together with the goodwill symbolized by any of the foregoing, (c) patents, patent disclosures, or inventions (whether patentable or not), (d) trade secrets, know-how, or other confidential information, and (e) all other intellectual property rights, in each case whether registered or unregistered, and including all registrations and applications for, and renewals or extensions of, such rights, and all similar or equivalent rights or forms of protection in any part of the world.

"Law" means any statute, law, ordinance, regulation, rule, code, order, constitution, treaty, common law, judgment, decree, or other requirement of any federal, state, local, or foreign government or political subdivision thereof, or any court, arbitrator, or tribunal of competent jurisdiction.

"Losses" means all losses, damages, deficiencies, claims, actions, judgments, settlements, interest, awards, penalties, fines, costs, or expenses of whatever kind, including reasonable attorneys' fees and the costs of enforcing any right to indemnification hereunder and the cost of pursuing any insurance providers.

"Marketplace" means the official online repository within the Payload website containing all Official Extension(s) to be made available for use in conjunction with Payload.

"Official Extension" means any Software that has been licensed and made available through the Payload Marketplace to be used in conjunction with Payload.

"Open-Source Component" means Software distributed by a third party under an open-source license, for example, Apache-2.0, BSD-2-Clause, BSD-3-Clause, CCO 1.0, ISC, LGPL-3.0, or MIT, copies of which can be found at [https://opensource.org/licenses](https://opensource.org/licenses).

"Organization" means any association of Persons, for example, a for-profit or non-profit business entity, a government entity, and educational institution, or a informal association of any kind.

"Payload" means all Software, Documentation, files, information, resources, and other materials available at any time on or by way of the Website, the Repository, or the Registry or otherwise distributed by Payload LLC, as well as all copies thereof (whether partial or complete, and whether or not merged into other materials) and all Intellectual Property Rights in each of the foregoing, but excluding Open-Source Components.

"Person" means an individual or an Entity.

"Personnel" means, with respect to a Person, such Person's employees, contractors, agents, attorneys, advisors, and representatives. If such Person is an Entity, Personnel includes such Entity's owners, directors, and officers.

"Personal Purpose" means a purpose that is for a sole individual, not as part of an Entity.

"Production Instance" means an instance of Payload that performs a Production Purpose, whether one-time, repeated, continuous, intermittent, periodic, or irregular.

"Production Purpose" means a purpose other than a Personal Purpose (for example, operating your Organization or delivering products or services within or outside of your Organization).

"Registry" means NPM repository located at https://www.npmjs.com/package/payload.

"Repository" means the GitHub repository located at https://github.com/payloadcms/payload.

"Software" means source code, object code, API's, and all works incorporated into each of the foregoing.

"Territory" means all countries not subject to U.S. export restrictions.

"Third-Party Materials" means items not owned by us, which may include Software (such as open-source software or third-party add-ons or extensions), content, data, information, or other materials.

"Update" means any change, patch, fix, upgrade, adaptation, alteration, translation, correction, revision, supplement, enhancement, improvement, or other modification of Payload that we may, in our sole discretion, release from time to time. An Update may consist, among other things, of modifications to Payload’s features, functionality, or interfaces.

"Website" means [https://payloadcms.com](https://payloadcms.com).

2. **License**. Provided that you remain at all times in compliance with the terms and conditions of this Agreement, we hereby grant to you a limited, non-exclusive, non-sublicensable, non-transferable license to use Payload within the Territory for any purpose not prohibited by this Agreement or applicable Law (the "License"). All rights not expressly granted herein are reserved. You acknowledge that the License is adequate consideration for all your responsibilities, representations, and warranties hereunder.

3. **Your Rights**. During the Term (as defined in Section 13(a)), and provided that you remain at all times in compliance with the terms and conditions of this Agreement, you may: (a) download and copy Payload, in whole or in part; (b) install and use one or more instances of Payload as a CMS for your applications or websites; and (c) modify, adapt, enhance, or improve Payload for your own use (but not for distribution, sale, or sublicensing in any form); and (d) develop and share extensions to Payload by way of the Repository, the Registry, and/or the Website subject to our prior written approval in each case.

4. **Your Responsibilities**

    a. **Restrictions**. You will not (and will not assist any other Person to):

   &nbsp;&nbsp;&nbsp;&nbsp; i. sell, license, rent, lease, lend, publish, transfer, convey, or otherwise distribute Payload to any third party;

   &nbsp;&nbsp;&nbsp;&nbsp; ii. bypass, block, or disable Payload licensing-verification mechanisms;

   &nbsp;&nbsp;&nbsp;&nbsp; iii. remove, alter, or obscure any trademarks, copyright notices, or other proprietary-rights notices or symbols;

   &nbsp;&nbsp;&nbsp;&nbsp; iv. infringe or misuse Payload, including by using Payload without a license or in violation of Payload License terms;

   &nbsp;&nbsp;&nbsp;&nbsp; v. dispute our ownership of Payload or any Intellectual Property Right therein; or

   &nbsp;&nbsp;&nbsp;&nbsp; vi. use Payload for:

   &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; A. any illegal purpose;

   &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; B. the design, construction, operation, or maintenance of any system or application where error or failure could cause personal injury, death, or property damage;

   &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; C. developing or providing a competing product or service; or

   &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; D. any purpose that is to our detriment or commercial disadvantage.

    b. **Requirements**. You will:

    &nbsp;&nbsp;&nbsp;&nbsp; i. comply with all applicable Laws;

    &nbsp;&nbsp;&nbsp;&nbsp; ii. promptly notify us if you become aware of any actual or suspected infringement or misuse of Payload or any claim that Payload infringes the rights of any Person;

    &nbsp;&nbsp;&nbsp;&nbsp; iii. cooperate with and assist us in all reasonable ways to stop or prevent any actual or threatened infringement or misuse of Payload;

    &nbsp;&nbsp;&nbsp;&nbsp; iv. retain (and not alter or obscure) this Agreement and all trademarks, copyright notices, and other notices of Intellectual Property Rights in connection with Payload; and

    &nbsp;&nbsp;&nbsp;&nbsp; v. for any Production Instance that you control or operate directly or indirectly, including by way of a contractor or intermediary:

    &nbsp;&nbsp;&nbsp;&nbsp;     A. notify us of the domain name utilized by Payload and the name and email of the individual(s) responsible for administering the instance and the server;

    &nbsp;&nbsp;&nbsp;&nbsp;     B. promptly update us of any changes to the information in Section 4(b)(v)(A); and

    &nbsp;&nbsp;&nbsp;&nbsp;     C. pay the fee set forth in Section 5(b).

5. **Fees**

    a. **Personal Instances**. No fee. Payload is free of charge for Personal Purposes.

    b. **Production Instances**.  The subscription fee, as paid at time of purchase or license renewal, (the "Subscription") for each domain operating a Production Instance, is due at the time of Licence purchase until your subscription expires. All fees are exclusive of taxes. You are responsible for any taxes, duties, or other charges imposed by any governmental authority on amounts paid by you pursuant hereto (except for any taxes imposed on our income). Payment must be made in U.S. dollars by Credit Card. Interest will accrue on any past-due amount at the rate of 1.8% per month, compounded monthly, or the highest rate permitted by applicable Law, whichever is less. You will reimburse us immediately for all costs we incur in relation to any overdue amount, including attorney fees and collection-agency fees, whether or not a formal complaint is filed, and no notice of default is required. In the event that any amount becomes overdue, we may, in our sole discretion, and in addition to any other remedy available at law, in equity, or hereunder: (i) suspend or revoke your License, (ii) withhold new licenses, or (iii) terminate this Agreement. You will pay all amounts due hereunder in full, without any setoff, deduction, or withholding for any reason, except as may be permitted by applicable Law. No refunds will be granted or paid.

6. **Support**

    a. **Basic Support**. If you have a Production Instance for which the Subscription has been paid (a "Paid-Up Instance") and are otherwise in compliance with all terms and conditions hereof, we will perform the following support services for your Paid-Up Instance (“Basic Support”):

    &nbsp;&nbsp;&nbsp;&nbsp;     12. Email support

    &nbsp;&nbsp;&nbsp;&nbsp;     13. While we attempt to handle all requests promptly, response time is not guaranteed.

    b. **Enhanced Support**. You may, at your option, purchase enhanced support subject to a separate Support Agreement. Upon making such purchase, you will be entitled to additional services and benefits ("Enhanced Support"). See our Website for details.

    c. **Alternatives**. If you do not have a Paid-Up Instance and you have not purchased Enhanced Support, you can still seek information and assistance by way of the following freely-available community resources, which, while not guaranteed to resolve your question or issue, may be helpful:

    &nbsp;&nbsp;&nbsp;&nbsp;    i. Documentation, Issues and discussions sections of the Payload Repository, or other online community resources

7. **Open-Source Components**. Payload makes use of certain Open-Source Components distributed under the following licences: Apache-2.0, BSD-2-Clause, BSD-3-Clause, CCO 1.0, ISC, LGPL-3.0, and MIT, or other licensing that does not restrict commercial use. Your use of Open-Source Components, including those on which Payload relies, is subject to the terms and conditions of the applicable open-source licenses. A copy of each license can be found at [https://opensource.org/licenses](https://opensource.org/licenses).

8. **Intellectual Property**

    a. **Ownership**. Payload LLC is the sole and exclusive owner of all right, title, and interest in and to Payload, all Updates thereto, all Official Extensions based thereon, and all Intellectual Property Rights in each of the foregoing, subject only to the rights of third parties in Open-Source Components and the License granted hereunder. You acknowledge that you have no ownership interest in Payload and that, except for the License granted hereunder, nothing herein or elsewhere grants to you or any third party (by implication, waiver, estoppel or otherwise) any right, title, or interest (including any Intellectual Property Right) in or to Payload or any portion thereof.

    b. **Contributions**. If you make a Contribution to Payload, you hereby automatically, immediately, unconditionally, and irrevocably assign the entirety of such Contribution to Payload LLC for no additional consideration beyond the License granted hereunder. Similarly, in the event that you acquire (by any means) or have (at any time) any right, title, or interest (including any Intellectual Property Right) in or to Payload beyond the License granted hereunder, you hereby automatically, immediately, unconditionally, and irrevocably assign the entirety of such right, title, and interest to Payload LLC for no additional consideration beyond the License granted hereunder. In the event of any assignment by you to us under this Section 8(b), you hereby irrevocably waive, to the extent permitted by applicable law, any and all claims you may now or hereafter have in any jurisdiction to all rights of paternity, integrity, disclosure, and withdrawal and any other rights (which may be known as "moral rights") with respect to the subject matter of such assignment. For further information regarding how to contribute, please visit the Payload Repository.

9. **Your Representations and Warranties**. You represent and warrant as follows:

    a. You have full right, power, and authority to enter into and perform your obligations under this Agreement.

    b. If you are an organization,

    &nbsp;&nbsp;&nbsp;&nbsp;     i. the organization is duly organized, validly existing, and in good standing as a corporation or other entity under the Laws of the jurisdiction of its incorporation or organization; and

    &nbsp;&nbsp;&nbsp;&nbsp;     ii. your acceptance of this Agreement has been duly authorized by all necessary corporate or organizational action.

    c. This Agreement is a legal, valid, and binding obligation of each Party, enforceable against each Party in accordance with its terms.

10. **DISCLAIMER OF WARRANTIES**. PAYLOAD IS PROVIDED "AS IS." YOU ASSUME ALL RISK ASSOCIATED WITH YOUR INSTALLATION AND USE OF PAYLOAD. WE SPECIFICALLY DISCLAIM ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, AND ALL WARRANTIES ARISING FROM USAGE, TRADE PRACTICE, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, WE MAKE NO WARRANTY OF ANY KIND THAT PAYLOAD WILL MEET YOUR ANY OTHER PERSON'S REQUIREMENTS OR STANDARDS, OPERATE WITHOUT INTERRUPTION, ACHIEVE ANY INTENDED RESULT, BE COMPATIBLE WITH ANY OTHER SOFTWARE, SYSTEMS, OR SERVICES, OR BE ACCURATE, COMPLETE, SECURE, SAFE, FREE OF HARMFUL CODE, OR ERROR FREE. SIMILARLY, ANY USE OF THIRD-PARTY MATERIALS, INCLUDING ANY DISTRIBUTED ALONG WITH PAYLOAD, IS AT YOUR OWN RISK. ALL THIRD-PARTY MATERIALS ARE PROVIDED "AS IS" AND ANY REPRESENTATION OR WARRANTY CONCERNING ANY OF THEM IS STRICTLY BETWEEN YOU AND THE THIRD-PARTY OWNER OR DISTRIBUTOR OF SUCH MATERIALS.

11. **Limitations of Liability**

    a. **EXCLUSION OF DAMAGES**. IN NO EVENT WILL WE OR OUR PERSONNEL BE LIABLE UNDER OR IN CONNECTION WITH THIS AGREEMENT OR ITS SUBJECT MATTER (INCLUDING PAYLOAD, ANY SERVICES WE PROVIDE IN CONNECTION WITH PAYLOAD, AND ANY THIRD-PARTY MATERIALS DISTRIBUTED ALONG WITH PAYLOAD) UNDER ANY LEGAL OR EQUITABLE THEORY (WHETHER IN CONTRACT, TORT, NEGLIGENCE, STRICT LIABILITY, OR OTHERWISE) FOR ANY (i) INCREASED COSTS, DIMINUTION IN VALUE, OR LOSS OF BUSINESS, PRODUCTION, REVENUES, OR PROFITS; (ii) LOSS OF GOODWILL OR REPUTATION; (iii) INABILITY TO USE, OR INTERRUPTION OR DELAY IN USING, ANY SOFTWARE OR MATERIALS; (iv) LOSS, DAMAGE, OR CORRUPTION OF DATA; (v) BREACH OF DATA OR SYSTEM SECURITY; (vi) COST OF REPLACEMENT GOODS OR SERVICES; OR (vii) CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, EXEMPLARY, SPECIAL, ENHANCED, OR PUNITIVE DAMAGES, IN EACH CASE REGARDLESS OF WHETHER WE OR OUR PERSONNEL WERE ADVISED OF THE POSSIBILITY OF SUCH LOSSES OR DAMAGES OR SUCH LOSSES OR DAMAGES WERE OTHERWISE FORESEEABLE, AND NOTWITHSTANDING THE FAILURE OF ANY REMEDY OF ITS ESSENTIAL PURPOSE.

    b. **CAP ON LIABILITY**. IN NO EVENT WILL OUR TOTAL, AGGREGATE LIABILITY, TOGETHER WITH THAT OUR PERSONNEL, ARISING OUT OF OR RELATED TO THIS AGREEMENT UNDER ANY LEGAL OR EQUITABLE THEORY, WHETHER IN CONTRACT, TORT, NEGLIGENCE, STRICT LIABILITY, OR OTHERWISE, EXCEED THE TOTAL AMOUNTS PAID TO US UNDER THIS AGREEMENT IN THE ONE (1) YEAR PERIOD PRECEDING THE EVENT GIVING RISE TO THE CLAIM. THE FOREGOING LIMITATIONS APPLY EVEN IF ANY REMEDY FAILS OF ITS ESSENTIAL PURPOSE.

12. **Indemnification**. You will indemnify, defend, and hold harmless us and our Affiliates, and each of our and their respective Personnel, from and against any and all Losses incurred as a result of your actions or omissions, including: (a) any infringement resulting from your modification of Payload or your combination of Payload with other systems or materials not provided by us; and (b) any breach by you of any representation, warranty, obligation, or restriction under this Agreement.

13. **Term and Termination**

    a. **Term**. This Agreement takes effect as of the Effective Date and continues in effect until terminated as set forth below in Section 13(b) (the "Term").

    b. **Termination**. This Agreement may be terminated:

    &nbsp;&nbsp;&nbsp;&nbsp; i. by us, at any time, effective on written notice to you, if we, in our sole discretion, believe that you have breached this Agreement;

    &nbsp;&nbsp;&nbsp;&nbsp; ii. by you, at any time, effective immediately, when you cease to use Payload and permanently delete all copies;

    &nbsp;&nbsp;&nbsp;&nbsp; iii. automatically, effective immediately and without notice, if you are a company, corporation, or other legal entity and you (A) are dissolved or liquidated or take any corporate action for such purpose; (B) become insolvent or are generally unable to pay your debts as they become due; (C) become the subject of any voluntary or involuntary bankruptcy proceeding under any domestic or foreign bankruptcy or insolvency Law; (D) make or seek to make a general assignment for the benefit of creditors; or (E) apply for, or consent to, the appointment of a trustee, receiver or custodian for a substantial part of your property.

    c. **Effect of Termination**. Upon termination of this Agreement:

    &nbsp;&nbsp;&nbsp;&nbsp; i. all rights and licenses granted to you hereunder immediately terminate;

    &nbsp;&nbsp;&nbsp;&nbsp; ii. any amounts payable by you to us are due immediately;

    &nbsp;&nbsp;&nbsp;&nbsp; iii. you will immediately cease all use of Payload;

    &nbsp;&nbsp;&nbsp;&nbsp; iv. as soon as possible, but in any event not more than seven (7) days after termination, you will permanently erase Payload and all copies thereof (whether whole or partial, and whether or not merged into other materials or works) from all devices and systems that you control, directly or indirectly; and

    &nbsp;&nbsp;&nbsp;&nbsp; v. if we so request, you will certify to us in writing that you have complied with the requirements of Section 13(c)(iii) and 13(c)(iv).

14. **Data Collection and Sharing**

    a. **Personal Information**. When you download Payload, we may offer you the opportunity to provide us information about you, including contact information (collectively, "Personal Information"). If you choose to provide Personal Information, you hereby grant us the right to

    &nbsp;&nbsp;&nbsp;&nbsp; i. collect, process, and store your Personal Information;

    &nbsp;&nbsp;&nbsp;&nbsp; ii. use your Personal Information to communicate with you about Payload, including about Updates or important product announcements; and

    &nbsp;&nbsp;&nbsp;&nbsp; iii. share your Personal Information with our Personnel and third parties who, in our sole discretion, have a need to know in order to perform our obligations or exercise our rights hereunder.

    b. **System Parameters and Usage Metrics**. Payload contains features to help us verify licensing and to improve our products and services. You hereby grant us the right to

    &nbsp;&nbsp;&nbsp;&nbsp; i. program Payload to collect and send us information about (i) the system on which Payload is installed ("System Information") and (ii) your usage of Payload (“Usage Metrics”);

    &nbsp;&nbsp;&nbsp;&nbsp; ii. collect, process, and store System Information and Usage Metrics;

    &nbsp;&nbsp;&nbsp;&nbsp; iii. use System Information and Usage Metrics for any purpose in connection with the monitoring, maintenance, development, and licensing of Payload, including the development and marketing of Updates; and

    &nbsp;&nbsp;&nbsp;&nbsp; iv. share System Information and Usage Metrics with our Personnel and third parties who, in our sole discretion, have a need to know in order to perform our obligations or exercise our rights hereunder.

    c. **Feedback**. We welcome comments, ideas, suggestions, recommendations, and other feedback (collectively, "Feedback"). You acknowledge that we are and will be the sole and exclusive owner of Feedback and that we may freely incorporate Feedback into Payload and use it as a basis for Updates. Upon providing Feedback by any means, directly or indirectly, you hereby automatically, immediately, unconditionally, and irrevocably assign to us all right, title, and interest in such Feedback for no additional consideration beyond the License granted hereunder.

15. **Audit**. We or our designee may, with reasonable forenotice, inspect and audit your use of Payload during the Term and for three (3) years thereafter. You will make available such records, information, equipment, and Personnel, and provide such cooperation and assistance, as may be requested in connection with such audit. If we determine that you have failed at any time to comply with this Agreement, you will immediately pay to us all amounts due based on your use of Payload for any Production Purpose, plus interest, as set forth in Section 5(b), and reimburse us for all costs incurred in conducting the inspection and audit.

16. **Miscellaneous**

    a. **Relationship of the Parties**. The relationship of the Parties is that of independent contractors. Nothing herein will be construed as creating any agency, partnership, joint venture, or other form of joint enterprise, employment, or fiduciary relationship between the Parties. Neither Party will have authority to contract for or bind the other Party in any manner whatsoever.

    b. **Entire Agreement**. This Agreement is the sole and entire agreement of the Parties with respect to the subject matter of this Agreement and supersedes all prior and contemporaneous understandings, agreements, representations, and warranties, both written and oral, with respect to such subject matter. In the event that applicable Law in a jurisdiction limits or prohibits any provision hereof, then such provision will be deemed limited or deleted, but only to the minimum extent required to render this Agreement valid and enforceable, and such limitation or deletion will be effective only in such jurisdiction.

    c. **Interpretation**. For purposes of this Agreement: The words "include," "includes," and "including" are deemed to be followed by the words "without limitation"; the word "or" is not exclusive; the words "herein," "hereof," "hereby," "hereto" and "hereunder" refer to this Agreement as a whole; words denoting the singular have a comparable meaning when used in the plural and vice versa; words denoting any gender include all genders; and the word "any" implies "all" and vice versa so as to achieve the broadest interpretation. Unless the context otherwise requires, references to: a "Section" means a section of this Agreement; this “Agreement” means this Agreement as amended, supplemented and modified from time to time in accordance herewith; and to a “Law” means such Law as amended from time to time and includes any successor Law thereto and any regulations promulgated thereunder. Titles and headings are for reference only and do not affect the interpretation of this Agreement. The Parties intend that this Agreement be construed without regard to any presumption or rule requiring construction or interpretation against the drafter.

    d. **Modification and Waiver**. We reserve the right to modify this Agreement at any time in our sole discretion. We will notify you of any changes by posting an updated Agreement on our Website. You acknowledge that such notification is adequate. The updated Agreement is effective when we post it on our Website. No other purported amendment to or modification of this Agreement is effective unless expressly set forth in writing and signed by us. No waiver of any provision hereof is effective unless expressly set forth in writing and signed by the Party so waiving. Except as otherwise set forth herein, no failure to exercise, or delay in exercising, any right, remedy, power, or privilege arising from this Agreement will operate or be construed as a waiver thereof; nor will any single or partial exercise of any right, remedy, power, or privilege hereunder preclude any other or further exercise thereof or the exercise of any other right, remedy, power, or privilege.

    e. **Survival**. The following Sections of this Agreement (and any other provision hereof that should, by its nature, survive termination) will survive any termination hereof:  Sections 4, 5(b), 8, 9, 10, 11, 12, 13(c), 14, 15, 16(e-g), and 16(i-m).

    f. **Severability**. If any provision hereof is held to be invalid, illegal, or unenforceable in any jurisdiction, such invalidity, illegality, or unenforceability will not affect any other term or provision hereof or invalidate or render unenforceable such term or provision in any other jurisdiction. In the event of such holding, the Parties will negotiate in good faith to modify this Agreement so as to effect their original intent as closely as possible in a mutually-acceptable manner in order that the transactions contemplated herein be consummated as originally contemplated to the greatest extent possible.

    g. **Further Assurances**. Upon request, you will execute and deliver all such documents and instruments, and take all such further actions, as may be necessary to give full effect to this Agreement.

    h. **No Third-Party Beneficiaries**. This Agreement is for the sole benefit of the Parties and their respective successors and permitted assigns. Nothing herein, express or implied, is intended to, or will, confer on any other Person any legal or equitable right, benefit, or remedy of any nature whatsoever under or by reason of this Agreement.

    i. **Assignment and Delegation**. You may not assign or otherwise transfer any of your rights hereunder, and you may not delegate or otherwise transfer any of your obligations hereunder. Any purported assignment, delegation, or transfer in violation of this Section 16(i) is void. This Agreement is binding on and inures to the benefit of the Parties hereto and their respective successors and permitted assigns.

    j. **Governing Law and Dispute Resolution**. This Agreement is governed by and construed in accordance with the internal laws of the State of Michigan without giving effect to any choice- or conflict-of-law provision or rule that would require or permit the application of the laws of any jurisdiction other than those of the State of Michigan. Any legal suit, action, or other proceeding (each, an "Proceeding") arising out of or related to this Agreement or the License granted hereunder will be instituted exclusively in the federal or state courts located in the County of Kent, Michigan, and each Party hereby irrevocably submits to the exclusive jurisdiction of such courts in any such Proceeding. Service of process, summons, notice, or other document to the address that you provided upon registration, or as subsequently updated by you, will be effective service of process for any Proceeding brought in any such court. The prevailing Party in any Proceeding arising out of or related to this Agreement is entitled to recover its attorney fees and court costs from the non-prevailing Party. All claims will be pursued on an individual basis. You hereby waive your right to commence, become a party to, or remain a participant in any group, representative, class, collective, or hybrid class/collective Proceeding in any court or other dispute-resolution forum.

    k. **Equitable Relief**. You acknowledge that a breach or threatened breach of any of your obligations hereunder would cause us irreparable harm for which monetary damages would not be an adequate remedy and that, in the event of such breach or threatened breach, we will be entitled to equitable relief, including a restraining order, an injunction, specific performance, and any other relief that may be available from a court of competent jurisdiction, without any requirement to post a bond or other security or to prove actual damages or that monetary damages are not an adequate remedy. Such remedies are not exclusive and are in addition to all other remedies available at law, in equity, or otherwise.

    l. **Publicity**. Each Party hereby consents to the use of its trademarks, service marks, trade names, and logos (collectively "Marks"), if any, in the other Party’s promotional messaging and materials, including websites, provided that such use is not likely to cause confusion, cause mistake, or deceive as to (i) the nature of the Parties' relationship, (ii) the origin of a Party’s goods, or (iii) the sponsorship or approval of a Party's goods, services, or commercial activities by the other Party.

    m. **Notices**. Any notice or other communication to you in relation to this Agreement is effective if in writing and sent to you at the address you provided upon registration or as subsequently updated by you. You hereby consent to receiving notices and other communication from us at such address. If you do not register or provide contact information, then you acknowledge that any notice or other communication that we publish on the Website is effective notice to you 24 hours after such publication.

